/* SctServer - Copyright (c) 2011-2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.request;

import net.mapeadores.util.localisation.Lang;
import net.scrutari.db.api.codes.Codes;


/**
 *
 * @author Vincent Calame
 */
public class CountFilter {

    private Codes corpusCodes;
    private Codes baseCodes;
    private Lang[] langArray;

    public CountFilter() {
    }

    public Codes getCorpusCodes() {
        return corpusCodes;
    }

    public void setCorpusCodes(Codes corpusCodes) {
        this.corpusCodes = corpusCodes;
    }

    public Codes getBaseCodes() {
        return baseCodes;
    }

    public void setBaseCodes(Codes baseCodes) {
        this.baseCodes = baseCodes;
    }

    public Lang[] getLangArray() {
        return langArray;
    }

    public void setLangArray(Lang[] langArray) {
        this.langArray = langArray;
    }

}
