/* ScrutariLib_Data - Copyright (c) 2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.data;

import java.util.List;


/**
 *
 * @author Vincent Calame
 */
public interface DataValidator {

    public final static short GEOLOC_FIELD = 1;
    public final static short SOUSTITRE_FIELD = 2;

    public boolean isMandatory(short field);

    public String checkValue(short field, String value);

    public List<Short> getMandatoryFieldList();

    public List<Short> getCheckedFieldList();

}
