/* UtilLib - Copyright (c) 2015 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.instruction;


/**
 *
 * @author Vincent Calame
 */
public interface Instructions {

    public int getPartCount();

    public Part getPart(int i);


    public static interface Part {

    }


    public static interface LiteralPart extends Part {

        public String getText();

    }


    public static interface InstructionPart extends Part {

        public Instruction getInstruction();

    }

}
